org.jboss.resteasy.core.interception

## Class JaxrsInterceptorRegistry<T>

- java.lang.Object
- - org.jboss.resteasy.core.interception.JaxrsInterceptorRegistry<T>

- Direct Known Subclasses:
    ClientResponseFilterRegistry, ContainerRequestFilterRegistry, ContainerResponseFilterRegistry, ReaderInterceptorRegistry, WriterInterceptorRegistry

      public class JaxrsInterceptorRegistry<T>
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `JaxrsInterceptorRegistry.AbstractInterceptorFactory`
    `class` | `JaxrsInterceptorRegistry.AbstractLegacyInterceptorFactory`
    `static class` | `JaxrsInterceptorRegistry.AscendingPrecedenceComparator`
    `static class` | `JaxrsInterceptorRegistry.DescendingPrecedenceComparator`
    `static interface` | `JaxrsInterceptorRegistry.InterceptorFactory`
    `protected class` | `JaxrsInterceptorRegistry.LegacyPerMethodInterceptorFactory`
    `protected class` | `JaxrsInterceptorRegistry.LegacySingletonInterceptorFactory`
    `static class` | `JaxrsInterceptorRegistry.Match`
    `protected class` | `JaxrsInterceptorRegistry.OnDemandInterceptorFactory`
    `protected class` | `JaxrsInterceptorRegistry.SingletonInterceptorFactory`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected T[]` | `cachedPreMatch`
    `protected List<JaxrsInterceptorRegistry.InterceptorFactory>` | `interceptors`
    `protected Class<T>` | `intf`
    `protected List<JaxrsInterceptorRegistryListener>` | `listeners`
    `protected ResteasyProviderFactory` | `providerFactory`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JaxrsInterceptorRegistry(ResteasyProviderFactory providerFactory, Class<T> intf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `JaxrsInterceptorRegistry<T>` | `clone(ResteasyProviderFactory factory)`
    `Class<T>` | `getIntf()`
    `List<JaxrsInterceptorRegistryListener>` | `getListeners()`
    `protected static List<Class<? extends Annotation>>` | `getNameBound(Class<?> declaring)`
    `static int` | `getPriority(Class<?> declaring)`
    `T[]` | `postMatch(Class declaring, AccessibleObject target)`
    `T[]` | `preMatch()`
    `void` | `register(JaxrsInterceptorRegistry.InterceptorFactory factory)`
    `void` | `registerClass(Class<? extends T> declaring)`
    `void` | `registerClass(Class<? extends T> declaring, int priority)`
    `void` | `registerSingleton(T interceptor)`
    `void` | `registerSingleton(T interceptor, int priority)`
    `protected void` | `sort(List<JaxrsInterceptorRegistry.Match> matches)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### interceptors

          protected List<JaxrsInterceptorRegistry.InterceptorFactory> interceptors

    - #### listeners

          protected List<JaxrsInterceptorRegistryListener> listeners

    - #### providerFactory

          protected ResteasyProviderFactory providerFactory

    - #### intf

          protected Class<T> intf

    - #### cachedPreMatch

          protected volatile T[] cachedPreMatch

  - ### Constructor Detail

    - #### JaxrsInterceptorRegistry

          public JaxrsInterceptorRegistry(ResteasyProviderFactory providerFactory,
                                  Class<T> intf)

  - ### Method Detail

    - #### getNameBound

          protected static List<Class<? extends Annotation>> getNameBound(Class<?> declaring)

    - #### getPriority

          public static int getPriority(Class<?> declaring)

    - #### clone

          public JaxrsInterceptorRegistry<T> clone(ResteasyProviderFactory factory)

    - #### getIntf

          public Class<T> getIntf()

    - #### getListeners

          public List<JaxrsInterceptorRegistryListener> getListeners()

    - #### preMatch

          public T[] preMatch()

    - #### postMatch

          public T[] postMatch(Class declaring,
                      AccessibleObject target)

    - #### sort

          protected void sort(List<JaxrsInterceptorRegistry.Match> matches)

    - #### register

          public void register(JaxrsInterceptorRegistry.InterceptorFactory factory)

    - #### registerClass

          public void registerClass(Class<? extends T> declaring)

    - #### registerClass

          public void registerClass(Class<? extends T> declaring,
                           int priority)

    - #### registerSingleton

          public void registerSingleton(T interceptor)

    - #### registerSingleton

          public void registerSingleton(T interceptor,
                               int priority)

Copyright © 2014. All Rights Reserved.